-- All data in this file is copyrighted to the author (oscarucb), all rights reserved
PV_svnrev["PV_data.lua"] = tonumber(("$Revision: 69 $"):match("%d+"))

PV_Data_VersionInfo = {
	   ["DBversion"] = 3,
	   ["DBrevision"] = tonumber(("$Revision: 69 $"):match("%d+")),
	   ["clientexpansion"] = 2,
   	   ["clientversion"] = "4.0.3",
	   ["clientbuildmin"] = "13205",
	   ["clientbuildmax"] = "13287",
}

-- cases where the localized name on the pattern and taught spell don't match or duplicate
-- transmutes, figurines and other minor differences like punctuation and capitalization are handled programmatically
PV_Exceptions_ItoS = {
  -- misc misspellings
  [16248] = 20033, -- Enchant Weapon - Unholy (Weapon)
  [21737] = 26443, -- (Firework) Cluster Launcher
  [50168] = 71102, -- Glyph of Quick Decay / Glyph of Lash of Pain
  [44498] = 60767, -- Enchant Bracer(s) - Superior Spellpower
  [44944] = 62256, -- Enchant Bracer(s) - Major Stamina
  [44473] = 44595, -- Enchant (2H) Weapon - Scourgebane

  -- deDE
  [3609]  = 3321, -- Kupferne Kettenweste -> Kupferkettenweste (Copper Chain Vest)

  -- misc name collisions to disambiguate
  [42457] = 57261, -- Glyph of Death Coil, Warlock (fake itemid - no pat)
  [45804] = 64266, -- Glyph of Death Coil, DK (fake itemid - no pat)
  [47020] = 66584, -- Deft Ametrine, conflicts with orphaned pattern not removed
  [41544] = 56048, -- Duskweave Boots, conflicts with an unreleased recipe (fake itemid - no pat)
  [41112] = 56465, -- Mechanized Snow Goggles (cloth)
  [44740] = 61481, -- Mechanized Snow Goggles (leather)
  [44741] = 61482, -- Mechanized Snow Goggles (mail)
  [44742] = 61483, -- Mechanized Snow Goggles (plate) 

  -- faction-specific thanksgiving recipes (screw blizzard)
  [46805] = 66035, -- cranberry chutney
  [44858] = 62049, -- cranberry chutney
  [46807] = 66037, -- slow roasted turkey 
  [44861] = 62045, -- slow roasted turkey 
  [46803] = 66038, -- spice bread stuffing
  [44860] = 62050, -- spice bread stuffing
  [44859] = 62051, -- candied sweet potato
  [46806] = 66034, -- candied sweet potato  
  [46804] = 66036, -- pumpkin pie
  [44862] = 62044, -- pumpkin pie  

  -- ToC patterns, faction specific
  [47654] = 67079, -- Bejeweled Wizard's Bracers
  [47639] = 67145, -- Bejeweled Wizard's Bracers
  [47629] = 67081, -- Black Chitin Bracers
  [47646] = 67137, -- Black Chitin Bracers
  [47635] = 67087, -- Bracers of Swift Death
  [47647] = 67139, -- Bracers of Swift Death
  [47622] = 67091, -- Breastplate of the White Knight
  [47640] = 67130, -- Breastplate of the White Knight
  [47631] = 67083, -- Crusader's Dragonscale Bracers
  [47648] = 67143, -- Crusader's Dragonscale Bracers
  [47630] = 67082, -- Crusader's Dragonscale Breastplate
  [47649] = 67138, -- Crusader's Dragonscale Breastplate
  [47628] = 67080, -- Ensorcelled Nerubian Breastplate
  [47650] = 67136, -- Ensorcelled Nerubian Breastplate
  [47634] = 67086, -- Knightbane Carapace
  [47651] = 67142, -- Knightbane Carapace
  [47632] = 67084, -- Lunar Eclipse Chestguard
  [47652] = 67140, -- Lunar Eclipse Chestguard
  [47655] = 67066, -- Merlin's Robe
  [47638] = 67146, -- Merlin's Robe
  [47633] = 67085, -- Moonshadow Armguards
  [47653] = 67141, -- Moonshadow Armguards
  [47656] = 67065, -- Royal Moonshroud Bracers
  [47637] = 67147, -- Royal Moonshroud Bracers
  [47657] = 67064, -- Royal Moonshroud Robe
  [47636] = 67144, -- Royal Moonshroud Robe
  [47623] = 67092, -- Saronite Swordbreakers
  [47641] = 67131, -- Saronite Swordbreakers
  [47627] = 67096, -- Sunforged Bracers
  [47642] = 67135, -- Sunforged Bracers
  [47626] = 67095, -- Sunforged Breastplate
  [47643] = 67134, -- Sunforged Breastplate
  [47624] = 67093, -- Titanium Razorplate
  [47644] = 67132, -- Titanium Razorplate
  [47625] = 67094, -- Titanium Spikeguards
  [47645] = 67133, -- Titanium Spikeguards

}

-- First Aid weirdness: Heavy Linen thru Heavy Runecloth have a duplicate bit for the 
-- same spell and itemid. The first bit is the one learned by most classes, the second
-- is the one auto-learned by DKs. Ignoring this weirdness for now.

PV_PatDB = {
---------------------------------------------------------------------------------------
-- Autogenerated data below
---------------------------------------------------------------------------------------
			[7411] = {
				[0] = {
					["scandate"] = "11/07/10 22:47:00",
					["name"] = "Enchanting",
					["patcnt"] = 299,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 306,
				},
				[20008] = 103,
				[20016] = 111,
				[20024] = 109,
				[20032] = 126,
				[13617] = 42,
				[13637] = 49,
				[33996] = 205,
				[45765] = 267,
				[13653] = 55,
				[13657] = 57,
				[13661] = 59,
				[63746] = 301,
				[13689] = 62,
				[13693] = 63,
				[23801] = 133,
				[44488] = 227,
				[27905] = 158,
				[27913] = 161,
				[62948] = 299,
				[44584] = 244,
				[27961] = 179,
				[27977] = 186,
				[42620] = 222,
				[33997] = 206,
				[14807] = 97,
				[32664] = 196,
				[13817] = 72,
				[25079] = 141,
				[44489] = 228,
				[13841] = 75,
				[20009] = 107,
				[20017] = 106,
				[20025] = 125,
				[20033] = 120,
				[44633] = 263,
				[13378] = 28,
				[13905] = 83,
				[13917] = 85,
				[13933] = 87,
				[13937] = 89,
				[13941] = 91,
				[13945] = 93,
				[23802] = 134,
				[27906] = 159,
				[27914] = 162,
				[27946] = 170,
				[27954] = 175,
				[27962] = 180,
				[64579] = 303,
				[7779] = 15,
				[33999] = 207,
				[13522] = 36,
				[7793] = 20,
				[7795] = 21,
				[32665] = 197,
				[60763] = 292,
				[25072] = 137,
				[25080] = 142,
				[42974] = 223,
				[44555] = 239,
				[25128] = 152,
				[20026] = 110,
				[20034] = 124,
				[44635] = 264,
				[13622] = 44,
				[13626] = 45,
				[13642] = 51,
				[13646] = 53,
				[7857] = 22,
				[7859] = 23,
				[7861] = 24,
				[7863] = 25,
				[7867] = 26,
				[22749] = 129,
				[13698] = 65,
				[13702] = 67,
				[23803] = 135,
				[44492] = 229,
				[44508] = 231,
				[44524] = 238,
				[44556] = 240,
				[27947] = 171,
				[13746] = 69,
				[28003] = 188,
				[34001] = 208,
				[28027] = 218,
				[14293] = 96,
				[60653] = 282,
				[13794] = 70,
				[7418] = 3,
				[7420] = 4,
				[7426] = 6,
				[7428] = 7,
				[13822] = 73,
				[25073] = 138,
				[25081] = 143,
				[44509] = 234,
				[13846] = 76,
				[20011] = 123,
				[25129] = 153,
				[44589] = 246,
				[20035] = 127,
				[44621] = 257,
				[20051] = 115,
				[13882] = 79,
				[13890] = 81,
				[34002] = 209,
				[60606] = 279,
				[13419] = 30,
				[22750] = 130,
				[23804] = 136,
				[44494] = 230,
				[44510] = 235,
				[27924] = 165,
				[44590] = 248,
				[47672] = 271,
				[27972] = 183,
				[13503] = 35,
				[28004] = 187,
				[34003] = 210,
				[28028] = 219,
				[60623] = 281,
				[32667] = 198,
				[44383] = 224,
				[60767] = 296,
				[25074] = 139,
				[25082] = 144,
				[20012] = 108,
				[20020] = 104,
				[20028] = 114,
				[20036] = 121,
				[44623] = 258,
				[13631] = 47,
				[13635] = 48,
				[34004] = 211,
				[13655] = 56,
				[13659] = 58,
				[13663] = 60,
				[27837] = 155,
				[13687] = 61,
				[13695] = 64,
				[47051] = 270,
				[64441] = 302,
				[44528] = 236,
				[44576] = 243,
				[44592] = 252,
				[27957] = 176,
				[27981] = 190,
				[34005] = 212,
				[60609] = 277,
				[14809] = 98,
				[47898] = 272,
				[13815] = 71,
				[25083] = 145,
				[44513] = 237,
				[44529] = 241,
				[20013] = 116,
				[20029] = 112,
				[44625] = 259,
				[42613] = 220,
				[13887] = 80,
				[13380] = 29,
				[33990] = 199,
				[34006] = 213,
				[13915] = 84,
				[59636] = 283,
				[47899] = 273,
				[13931] = 86,
				[13935] = 88,
				[13939] = 90,
				[13943] = 92,
				[13947] = 94,
				[13464] = 32,
				[27926] = 166,
				[7766] = 12,
				[27950] = 173,
				[27958] = 177,
				[7776] = 14,
				[27982] = 191,
				[7782] = 16,
				[33991] = 200,
				[28022] = 195,
				[59621] = 293,
				[13536] = 38,
				[47900] = 285,
				[60691] = 288,
				[60707] = 289,
				[15596] = 100,
				[25084] = 146,
				[25124] = 148,
				[20030] = 119,
				[13612] = 41,
				[13620] = 43,
				[42615] = 221,
				[13628] = 46,
				[13640] = 50,
				[34008] = 215,
				[13648] = 54,
				[47901] = 274,
				[60692] = 291,
				[62257] = 298,
				[13700] = 66,
				[23799] = 131,
				[44484] = 226,
				[44500] = 232,
				[17180] = 102,
				[27927] = 167,
				[27951] = 174,
				[44612] = 251,
				[27967] = 181,
				[27975] = 185,
				[71692] = 305,
				[69412] = 304,
				[62959] = 300,
				[62256] = 297,
				[33993] = 202,
				[34009] = 216,
				[59619] = 295,
				[25127] = 151,
				[60714] = 290,
				[14810] = 99,
				[21931] = 128,
				[60619] = 287,
				[60668] = 286,
				[7421] = 5,
				[27948] = 172,
				[60621] = 280,
				[60616] = 278,
				[47766] = 276,
				[13898] = 82,
				[46578] = 268,
				[44636] = 266,
				[13836] = 74,
				[44645] = 265,
				[44631] = 262,
				[7443] = 8,
				[44630] = 260,
				[25125] = 149,
				[20023] = 117,
				[20031] = 122,
				[13868] = 78,
				[44629] = 261,
				[7457] = 10,
				[25126] = 150,
				[44616] = 256,
				[44596] = 255,
				[44593] = 249,
				[33994] = 203,
				[34010] = 217,
				[13607] = 40,
				[44591] = 250,
				[20015] = 113,
				[44588] = 247,
				[27917] = 163,
				[28021] = 194,
				[27899] = 157,
				[13421] = 31,
				[7454] = 9,
				[13858] = 77,
				[27911] = 160,
				[13948] = 95,
				[20010] = 118,
				[20014] = 105,
				[23800] = 132,
				[44582] = 245,
				[25130] = 154,
				[17181] = 101,
				[27920] = 164,
				[46594] = 269,
				[33992] = 201,
				[27944] = 168,
				[44598] = 254,
				[13485] = 33,
				[27968] = 182,
				[44483] = 225,
				[27984] = 189,
				[13501] = 34,
				[7745] = 19,
				[44506] = 233,
				[33995] = 204,
				[7748] = 11,
				[44595] = 253,
				[7771] = 13,
				[13529] = 37,
				[59625] = 294,
				[60663] = 284,
				[7786] = 17,
				[27960] = 178,
				[7788] = 18,
				[34007] = 214,
				[28016] = 192,
				[13538] = 39,
				[28019] = 193,
				[27971] = 184,
				[13644] = 52,
				[25078] = 140,
				[25086] = 147,
				[27945] = 169,
				[44575] = 242,
			},
			[2259] = {
				[28556] = 124,
				[28564] = 129,
				[28568] = 133,
				[26277] = 111,
				[28576] = 141,
				[28580] = 148,
				[28584] = 146,
				[7179] = 28,
				[41501] = 177,
				[7181] = 29,
				[17635] = 97,
				[7183] = 30,
				[53773] = 212,
				[53781] = 208,
				[2337] = 263,
				[66658] = 252,
				[2335] = 261,
				[2334] = 260,
				[2332] = 259,
				[2331] = 258,
				[2329] = 2,
				[53848] = 203,
				[2330] = 1,
				[66663] = 256,
				[8240] = 40,
				[33732] = 162,
				[33740] = 164,
				[29688] = 159,
				[2333] = 10,
				[28565] = 130,
				[39637] = 172,
				[66660] = 254,
				[47048] = 185,
				[53900] = 196,
				[2336] = 262,
				[24365] = 106,
				[54220] = 226,
				[3230] = 13,
				[60356] = 240,
				[25146] = 110,
				[41502] = 178,
				[12609] = 66,
				[66664] = 251,
				[60396] = 236,
				[53774] = 211,
				[53782] = 209,
				[33741] = 166,
				[62213] = 247,
				[62410] = 249,
				[62409] = 248,
				[54213] = 224,
				[57425] = 231,
				[53838] = 190,
				[17552] = 70,
				[17556] = 74,
				[17560] = 79,
				[17564] = 82,
				[33733] = 165,
				[17572] = 86,
				[17576] = 90,
				[17580] = 94,
				[28549] = 117,
				[28553] = 121,
				[28557] = 125,
				[47049] = 184,
				[4942] = 24,
				[28569] = 134,
				[28573] = 140,
				[28577] = 139,
				[28581] = 149,
				[28585] = 144,
				[28589] = 154,
				[41503] = 179,
				[22732] = 103,
				[17636] = 98,
				[60367] = 244,
				[53775] = 210,
				[53783] = 216,
				[60366] = 243,
				[60365] = 242,
				[60357] = 241,
				[60355] = 239,
				[17574] = 88,
				[7255] = 33,
				[7256] = 35,
				[7257] = 31,
				[7258] = 32,
				[7259] = 34,
				[60405] = 237,
				[60403] = 235,
				[58871] = 234,
				[53895] = 194,
				[22808] = 104,
				[58868] = 233,
				[39639] = 174,
				[32765] = 160,
				[47050] = 182,
				[38961] = 170,
				[11448] = 44,
				[11450] = 42,
				[11452] = 45,
				[60350] = 245,
				[11456] = 47,
				[11458] = 49,
				[11460] = 51,
				[38962] = 169,
				[11464] = 53,
				[11466] = 55,
				[11468] = 57,
				[53784] = 217,
				[11472] = 58,
				[53903] = 199,
				[11476] = 60,
				[11478] = 62,
				[11480] = 64,
				[54222] = 228,
				[53840] = 191,
				[17553] = 71,
				[17557] = 75,
				[17561] = 77,
				[17565] = 83,
				[38070] = 167,
				[17573] = 87,
				[17577] = 91,
				[28546] = 116,
				[28550] = 118,
				[28554] = 122,
				[28558] = 126,
				[28562] = 127,
				[28566] = 131,
				[28570] = 135,
				[54221] = 227,
				[28578] = 142,
				[28582] = 147,
				[28586] = 150,
				[28590] = 151,
				[54218] = 225,
				[60893] = 246,
				[17637] = 99,
				[54020] = 223,
				[53777] = 206,
				[4508] = 23,
				[53939] = 222,
				[53938] = 221,
				[53901] = 201,
				[53936] = 219,
				[53942] = 218,
				[3453] = 20,
				[53841] = 204,
				[38960] = 168,
				[57427] = 232,
				[53776] = 207,
				[53839] = 205,
				[17187] = 68,
				[7836] = 36,
				[7837] = 37,
				[53905] = 197,
				[67025] = 257,
				[3454] = 21,
				[7841] = 38,
				[53937] = 220,
				[53902] = 200,
				[41458] = 175,
				[7845] = 39,
				[56519] = 230,
				[53904] = 198,
				[66659] = 253,
				[53898] = 195,
				[53847] = 193,
				[53842] = 192,
				[53837] = 189,
				[24367] = 108,
				[3170] = 12,
				[53812] = 187,
				[3171] = 4,
				[17566] = 78,
				[3172] = 5,
				[45061] = 181,
				[3173] = 6,
				[42736] = 180,
				[3174] = 7,
				[17554] = 72,
				[3175] = 101,
				[17562] = 81,
				[3176] = 8,
				[17570] = 84,
				[3177] = 9,
				[28543] = 113,
				[41500] = 176,
				[28551] = 120,
				[28555] = 123,
				[39638] = 173,
				[28563] = 128,
				[28567] = 132,
				[28571] = 137,
				[28575] = 136,
				[28579] = 143,
				[28583] = 145,
				[28587] = 152,
				[28591] = 155,
				[39636] = 171,
				[17634] = 96,
				[17638] = 100,
				[53771] = 213,
				[53779] = 214,
				[63732] = 250,
				[33738] = 163,
				[32766] = 161,
				[3188] = 11,
				[28588] = 153,
				[6617] = 27,
				[6618] = 26,
				[28572] = 138,
				[0] = {
					["scandate"] = "11/07/10 22:46:13",
					["name"] = "Alchemy",
					["patcnt"] = 254,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 264,
				},
				[66662] = 255,
				[17579] = 93,
				[3447] = 14,
				[6624] = 25,
				[3448] = 15,
				[53899] = 202,
				[3449] = 16,
				[11449] = 41,
				[3450] = 17,
				[47046] = 183,
				[3451] = 18,
				[15833] = 67,
				[3452] = 19,
				[11451] = 43,
				[11453] = 46,
				[60354] = 238,
				[11457] = 48,
				[11459] = 50,
				[11461] = 52,
				[17578] = 92,
				[11465] = 54,
				[11467] = 56,
				[53780] = 215,
				[28545] = 115,
				[11473] = 59,
				[24266] = 105,
				[11477] = 61,
				[11479] = 63,
				[24368] = 109,
				[53836] = 188,
				[17551] = 69,
				[17555] = 73,
				[17559] = 76,
				[17563] = 80,
				[24366] = 107,
				[17571] = 85,
				[17575] = 89,
				[28544] = 114,
				[17632] = 95,
				[28552] = 119,
				[21923] = 102,
			},
			[3273] = {
				[0] = {
					["scandate"] = "11/07/10 22:44:03",
					["name"] = "First Aid",
					["patcnt"] = 27,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 36,
				},
				[23787] = 16,
				[7935] = 10,
				[3276] = 3,
				[3278] = 5,
				[10841] = 13,
				[7928] = 6,
				[18630] = 15,
				[27032] = 18,
				[27033] = 19,
				[7929] = 7,
				[3275] = 2,
				[3277] = 4,
				[7934] = 9,
				[45546] = 21,
				[45545] = 20,
				[10840] = 12,
				[18629] = 14,
			},
			[2018] = {
				[0] = {
					["scandate"] = "11/07/10 22:45:49",
					["name"] = "Blacksmithing",
					["patcnt"] = 515,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 522,
				},
				[29571] = 252,
				[32656] = 302,
				[29603] = 253,
				[29619] = 264,
				[27589] = 225,
				[29699] = 294,
				[55306] = 432,
				[55370] = 446,
				[56553] = 463,
				[36125] = 327,
				[67135] = 495,
				[7221] = 54,
				[16640] = 126,
				[16656] = 142,
				[3115] = 4,
				[3117] = 5,
				[8368] = 61,
				[20876] = 194,
				[55179] = 411,
				[56234] = 455,
				[55307] = 433,
				[55371] = 439,
				[24137] = 214,
				[16992] = 182,
				[56554] = 464,
				[36126] = 329,
				[29556] = 245,
				[32657] = 303,
				[29620] = 265,
				[27590] = 226,
				[29668] = 283,
				[29700] = 295,
				[55308] = 434,
				[55372] = 440,
				[8768] = 62,
				[56555] = 465,
				[55628] = 448,
				[16641] = 125,
				[16657] = 145,
				[8880] = 63,
				[34529] = 307,
				[9935] = 78,
				[9959] = 87,
				[55181] = 412,
				[9983] = 97,
				[10007] = 107,
				[10015] = 111,
				[55373] = 441,
				[24138] = 213,
				[16993] = 183,
				[56556] = 466,
				[36128] = 328,
				[3293] = 8,
				[3295] = 10,
				[36256] = 339,
				[29557] = 246,
				[3319] = 13,
				[3321] = 15,
				[29605] = 254,
				[29621] = 266,
				[55182] = 413,
				[29669] = 284,
				[3333] = 23,
				[55310] = 437,
				[55374] = 442,
				[14379] = 116,
				[36129] = 332,
				[36257] = 340,
				[16642] = 128,
				[16658] = 146,
				[11454] = 115,
				[55055] = 405,
				[55183] = 414,
				[7817] = 57,
				[55311] = 436,
				[55375] = 443,
				[16978] = 172,
				[16994] = 184,
				[36130] = 337,
				[36258] = 341,
				[29558] = 247,
				[55056] = 406,
				[29606] = 255,
				[29622] = 279,
				[55184] = 415,
				[55312] = 438,
				[59436] = 469,
				[55376] = 444,
				[23628] = 201,
				[36131] = 338,
				[27832] = 230,
				[36259] = 342,
				[3491] = 27,
				[3493] = 29,
				[3495] = 31,
				[3497] = 33,
				[3501] = 36,
				[3503] = 38,
				[3505] = 40,
				[3507] = 42,
				[9928] = 75,
				[3511] = 44,
				[3513] = 45,
				[9952] = 84,
				[9968] = 91,
				[55185] = 416,
				[59405] = 467,
				[55377] = 447,
				[24140] = 216,
				[16995] = 185,
				[36260] = 343,
				[43549] = 367,
				[34534] = 313,
				[55058] = 408,
				[55186] = 417,
				[29671] = 285,
				[59406] = 468,
				[59438] = 470,
				[40033] = 360,
				[23629] = 202,
				[34982] = 324,
				[36133] = 335,
				[7222] = 55,
				[36261] = 344,
				[16644] = 130,
				[16660] = 143,
				[36389] = 347,
				[16724] = 152,
				[34535] = 308,
				[55187] = 418,
				[46140] = 372,
				[40034] = 357,
				[24141] = 217,
				[34983] = 325,
				[36134] = 336,
				[36262] = 345,
				[2660] = 1,
				[2662] = 506,
				[2664] = 509,
				[36390] = 348,
				[2668] = 515,
				[2670] = 517,
				[2672] = 518,
				[2674] = 519,
				[42688] = 366,
				[29608] = 256,
				[29656] = 276,
				[29672] = 286,
				[46141] = 369,
				[40035] = 359,
				[36135] = 334,
				[52567] = 377,
				[19666] = 187,
				[36263] = 346,
				[55732] = 451,
				[16645] = 131,
				[16661] = 186,
				[36391] = 349,
				[16725] = 153,
				[16741] = 160,
				[2740] = 511,
				[34537] = 318,
				[9937] = 79,
				[67092] = 486,
				[9961] = 88,
				[9985] = 98,
				[9993] = 101,
				[10001] = 104,
				[10009] = 108,
				[46142] = 371,
				[16965] = 166,
				[54550] = 380,
				[52568] = 374,
				[36392] = 350,
				[61008] = 474,
				[15292] = 120,
				[34538] = 306,
				[67094] = 488,
				[29657] = 277,
				[59442] = 473,
				[54551] = 381,
				[52569] = 375,
				[19667] = 188,
				[16646] = 132,
				[16662] = 148,
				[61009] = 475,
				[16726] = 154,
				[16742] = 161,
				[67096] = 490,
				[7818] = 58,
				[46144] = 370,
				[54552] = 382,
				[52570] = 376,
				[61010] = 476,
				[24399] = 218,
				[34540] = 316,
				[29610] = 258,
				[29642] = 270,
				[29658] = 278,
				[23632] = 203,
				[54553] = 383,
				[15972] = 123,
				[19668] = 189,
				[16647] = 133,
				[16663] = 149,
				[38473] = 351,
				[34541] = 309,
				[9954] = 85,
				[9970] = 92,
				[9986] = 99,
				[56280] = 456,
				[16967] = 167,
				[16983] = 174,
				[54554] = 384,
				[52572] = 379,
				[42662] = 365,
				[15293] = 119,
				[34542] = 312,
				[29611] = 257,
				[29643] = 271,
				[23633] = 204,
				[54555] = 385,
				[7223] = 53,
				[19669] = 190,
				[16648] = 134,
				[16664] = 150,
				[55834] = 452,
				[3116] = 6,
				[24912] = 220,
				[16744] = 162,
				[34543] = 311,
				[34607] = 320,
				[43846] = 368,
				[16984] = 175,
				[54556] = 386,
				[55835] = 453,
				[28461] = 234,
				[29548] = 239,
				[34544] = 317,
				[34608] = 321,
				[29628] = 267,
				[29692] = 287,
				[23650] = 209,
				[9811] = 65,
				[54557] = 387,
				[15973] = 124,
				[16649] = 135,
				[16665] = 151,
				[38477] = 354,
				[24913] = 221,
				[54941] = 390,
				[34545] = 305,
				[9939] = 80,
				[9979] = 95,
				[9987] = 100,
				[9995] = 102,
				[10003] = 105,
				[10011] = 109,
				[16969] = 168,
				[16985] = 176,
				[3292] = 7,
				[3294] = 9,
				[3296] = 11,
				[70562] = 497,
				[28462] = 235,
				[29549] = 240,
				[29565] = 248,
				[3320] = 14,
				[29613] = 259,
				[29629] = 268,
				[29645] = 272,
				[3330] = 21,
				[29693] = 288,
				[3336] = 25,
				[41132] = 361,
				[16650] = 136,
				[38479] = 356,
				[24914] = 219,
				[16746] = 164,
				[34547] = 310,
				[70565] = 499,
				[16970] = 169,
				[16986] = 177,
				[41133] = 362,
				[70566] = 502,
				[55839] = 454,
				[28463] = 236,
				[54944] = 391,
				[29550] = 241,
				[34548] = 314,
				[29614] = 260,
				[29630] = 269,
				[55200] = 419,
				[29694] = 289,
				[23636] = 205,
				[23652] = 210,
				[9820] = 69,
				[22757] = 200,
				[3492] = 28,
				[3494] = 30,
				[3496] = 32,
				[3498] = 34,
				[3500] = 35,
				[3502] = 37,
				[3504] = 39,
				[3506] = 41,
				[3508] = 43,
				[62202] = 477,
				[9964] = 89,
				[9972] = 93,
				[9980] = 96,
				[32284] = 299,
				[16971] = 170,
				[16987] = 178,
				[41135] = 363,
				[85531] = 503,
				[54946] = 393,
				[29551] = 242,
				[29615] = 261,
				[27585] = 222,
				[55202] = 423,
				[29695] = 290,
				[55298] = 425,
				[23637] = 206,
				[23653] = 211,
				[7224] = 52,
				[16652] = 138,
				[8366] = 59,
				[16732] = 159,
				[54947] = 394,
				[54979] = 398,
				[20872] = 193,
				[55203] = 421,
				[32285] = 300,
				[16988] = 179,
				[11643] = 112,
				[2661] = 508,
				[2663] = 2,
				[2665] = 510,
				[2667] = 514,
				[2671] = 50,
				[2673] = 51,
				[54948] = 395,
				[54980] = 399,
				[29568] = 250,
				[7408] = 56,
				[29616] = 262,
				[27586] = 224,
				[29648] = 273,
				[29664] = 282,
				[29696] = 291,
				[55300] = 426,
				[29728] = 296,
				[23638] = 207,
				[9813] = 66,
				[16653] = 139,
				[2675] = 520,
				[2742] = 516,
				[2737] = 504,
				[54949] = 396,
				[54981] = 400,
				[20873] = 195,
				[2741] = 513,
				[9920] = 73,
				[6517] = 49,
				[41134] = 364,
				[2739] = 507,
				[63187] = 482,
				[36136] = 333,
				[9997] = 103,
				[10005] = 106,
				[10013] = 110,
				[2738] = 505,
				[16973] = 171,
				[28242] = 232,
				[59441] = 472,
				[36137] = 331,
				[70567] = 500,
				[29547] = 238,
				[21161] = 198,
				[16643] = 129,
				[70563] = 498,
				[16729] = 157,
				[3323] = 16,
				[63182] = 478,
				[67132] = 492,
				[15294] = 121,
				[29566] = 249,
				[67095] = 489,
				[63188] = 483,
				[54918] = 389,
				[12260] = 113,
				[15296] = 118,
				[29569] = 251,
				[29654] = 275,
				[29662] = 280,
				[12259] = 114,
				[27587] = 227,
				[29649] = 274,
				[55206] = 424,
				[67093] = 487,
				[29697] = 292,
				[55302] = 428,
				[29729] = 297,
				[55204] = 422,
				[67091] = 485,
				[23639] = 208,
				[63192] = 484,
				[63189] = 481,
				[56549] = 459,
				[63191] = 480,
				[14380] = 117,
				[16991] = 181,
				[63190] = 479,
				[54917] = 388,
				[55013] = 401,
				[67134] = 494,
				[16654] = 140,
				[20201] = 191,
				[55301] = 427,
				[55641] = 449,
				[8367] = 60,
				[16728] = 156,
				[9921] = 72,
				[9933] = 77,
				[20874] = 192,
				[20890] = 197,
				[9945] = 82,
				[55014] = 403,
				[9957] = 86,
				[52571] = 378,
				[34979] = 322,
				[16960] = 165,
				[34981] = 323,
				[55303] = 429,
				[56357] = 457,
				[56400] = 458,
				[55015] = 404,
				[16990] = 180,
				[9931] = 76,
				[2666] = 512,
				[56550] = 460,
				[36122] = 326,
				[16745] = 163,
				[15295] = 122,
				[29552] = 243,
				[29663] = 281,
				[20897] = 196,
				[21913] = 199,
				[6518] = 48,
				[34546] = 315,
				[59440] = 471,
				[24139] = 215,
				[28243] = 233,
				[55309] = 435,
				[55174] = 409,
				[9818] = 68,
				[3325] = 18,
				[32655] = 301,
				[67130] = 496,
				[27830] = 228,
				[27588] = 223,
				[55177] = 410,
				[55201] = 420,
				[38475] = 352,
				[29698] = 293,
				[55304] = 430,
				[16730] = 155,
				[3324] = 17,
				[29545] = 237,
				[29553] = 244,
				[3328] = 20,
				[3331] = 22,
				[56551] = 461,
				[9814] = 67,
				[67131] = 491,
				[54978] = 397,
				[55656] = 450,
				[3297] = 12,
				[27829] = 229,
				[16639] = 127,
				[16655] = 144,
				[16651] = 137,
				[16659] = 147,
				[16667] = 141,
				[38476] = 353,
				[16731] = 158,
				[9918] = 71,
				[9926] = 74,
				[55017] = 402,
				[9942] = 81,
				[9950] = 83,
				[3326] = 19,
				[9966] = 90,
				[9974] = 94,
				[3334] = 24,
				[3337] = 26,
				[40036] = 358,
				[55305] = 431,
				[34533] = 304,
				[55369] = 445,
				[24136] = 212,
				[28244] = 231,
				[70568] = 501,
				[38478] = 355,
				[56552] = 462,
				[36124] = 330,
				[67133] = 493,
				[34530] = 319,
				[16980] = 173,
				[29617] = 263,
				[54945] = 392,
				[9916] = 70,
				[55057] = 407,
				[3515] = 46,
			},
			[4036] = {
				[15633] = 107,
				[23066] = 133,
				[32814] = 214,
				[46116] = 244,
				[12587] = 63,
				[12591] = 66,
				[12595] = 68,
				[12599] = 70,
				[12603] = 71,
				[12607] = 72,
				[30308] = 194,
				[30316] = 175,
				[30332] = 180,
				[30348] = 187,
				[22795] = 131,
				[26420] = 156,
				[26428] = 164,
				[19793] = 114,
				[30548] = 197,
				[19825] = 124,
				[19833] = 125,
				[56481] = 282,
				[12755] = 90,
				[12759] = 92,
				[41311] = 222,
				[55252] = 252,
				[23067] = 135,
				[30309] = 195,
				[30317] = 176,
				[30325] = 178,
				[56514] = 273,
				[30341] = 183,
				[30349] = 188,
				[12895] = 94,
				[12899] = 96,
				[12903] = 99,
				[12907] = 103,
				[40274] = 220,
				[41312] = 223,
				[67326] = 299,
				[60874] = 290,
				[39971] = 218,
				[26421] = 157,
				[61481] = 292,
				[19794] = 115,
				[8895] = 56,
				[44155] = 233,
				[30549] = 198,
				[43676] = 232,
				[30565] = 206,
				[30573] = 211,
				[54998] = 256,
				[63765] = 297,
				[23507] = 149,
				[67839] = 303,
				[23068] = 134,
				[12584] = 60,
				[36954] = 215,
				[12616] = 75,
				[12620] = 79,
				[12624] = 81,
				[30334] = 181,
				[30342] = 184,
				[63750] = 296,
				[41314] = 224,
				[22797] = 132,
				[15255] = 106,
				[39973] = 219,
				[12716] = 84,
				[12720] = 88,
				[19795] = 118,
				[44157] = 234,
				[19819] = 121,
				[30558] = 202,
				[30566] = 207,
				[30574] = 212,
				[12760] = 87,
				[55016] = 260,
				[41315] = 225,
				[7430] = 52,
				[23069] = 136,
				[23077] = 139,
				[46106] = 246,
				[9271] = 58,
				[46697] = 247,
				[30303] = 189,
				[30311] = 170,
				[56486] = 286,
				[30343] = 185,
				[12900] = 97,
				[12904] = 100,
				[12908] = 104,
				[41316] = 226,
				[39895] = 217,
				[46107] = 239,
				[26423] = 159,
				[19788] = 110,
				[19796] = 116,
				[30551] = 199,
				[56471] = 267,
				[30575] = 213,
				[55002] = 258,
				[41317] = 227,
				[23070] = 137,
				[23078] = 140,
				[46108] = 242,
				[12585] = 61,
				[12589] = 65,
				[12597] = 69,
				[30304] = 190,
				[30312] = 171,
				[30344] = 186,
				[63770] = 298,
				[41318] = 228,
				[24356] = 150,
				[46109] = 238,
				[26416] = 153,
				[12717] = 85,
				[13240] = 105,
				[30552] = 200,
				[30560] = 203,
				[30568] = 208,
				[23486] = 148,
				[41319] = 229,
				[23071] = 138,
				[23079] = 141,
				[46110] = 243,
				[30305] = 191,
				[30313] = 172,
				[30329] = 179,
				[30337] = 182,
				[12897] = 95,
				[22704] = 129,
				[12905] = 101,
				[41320] = 230,
				[8334] = 54,
				[60866] = 289,
				[24357] = 151,
				[46111] = 236,
				[26417] = 154,
				[26425] = 161,
				[19790] = 111,
				[68067] = 302,
				[67920] = 301,
				[19814] = 117,
				[67790] = 300,
				[30561] = 204,
				[30569] = 209,
				[62271] = 295,
				[61483] = 294,
				[61482] = 293,
				[61471] = 291,
				[56473] = 274,
				[56487] = 287,
				[56484] = 285,
				[56483] = 284,
				[23082] = 144,
				[56480] = 281,
				[41321] = 231,
				[53281] = 250,
				[56478] = 279,
				[56469] = 278,
				[56477] = 277,
				[56476] = 276,
				[56462] = 275,
				[15628] = 108,
				[60867] = 288,
				[56472] = 272,
				[3918] = 3,
				[23080] = 142,
				[46112] = 240,
				[12586] = 62,
				[12590] = 64,
				[3923] = 6,
				[3924] = 7,
				[3925] = 8,
				[3926] = 11,
				[19567] = 109,
				[3928] = 12,
				[12618] = 77,
				[12622] = 80,
				[3931] = 14,
				[3932] = 15,
				[3933] = 16,
				[3934] = 17,
				[56470] = 271,
				[3936] = 18,
				[3937] = 19,
				[3938] = 20,
				[3939] = 22,
				[3940] = 23,
				[3941] = 24,
				[3942] = 25,
				[56468] = 270,
				[3944] = 26,
				[3945] = 27,
				[3946] = 28,
				[22793] = 130,
				[54736] = 255,
				[3949] = 29,
				[3950] = 30,
				[56467] = 269,
				[3952] = 31,
				[3953] = 32,
				[12718] = 86,
				[12722] = 89,
				[3956] = 35,
				[3957] = 36,
				[3958] = 37,
				[3959] = 38,
				[3960] = 39,
				[3961] = 40,
				[3962] = 41,
				[12754] = 91,
				[12758] = 93,
				[3965] = 44,
				[3966] = 45,
				[3967] = 46,
				[3968] = 47,
				[3969] = 48,
				[56466] = 268,
				[3971] = 49,
				[3972] = 50,
				[3973] = 10,
				[56465] = 266,
				[56463] = 265,
				[0] = {
					["scandate"] = "11/07/10 22:45:35",
					["name"] = "Engineering",
					["patcnt"] = 294,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 306,
				},
				[3977] = 9,
				[3978] = 21,
				[3979] = 43,
				[56464] = 264,
				[56461] = 263,
				[56459] = 262,
				[23081] = 143,
				[46114] = 241,
				[8243] = 53,
				[9269] = 57,
				[9273] = 59,
				[56460] = 261,
				[23129] = 146,
				[12902] = 98,
				[54793] = 259,
				[30307] = 193,
				[30315] = 174,
				[54999] = 257,
				[3922] = 5,
				[54353] = 251,
				[19830] = 123,
				[46113] = 245,
				[56574] = 283,
				[28327] = 167,
				[12906] = 102,
				[19791] = 113,
				[19799] = 120,
				[12615] = 74,
				[12617] = 76,
				[12619] = 78,
				[19831] = 122,
				[6458] = 51,
				[8339] = 55,
				[26418] = 155,
				[30306] = 192,
				[30310] = 169,
				[30314] = 173,
				[30318] = 177,
				[30570] = 210,
				[46115] = 237,
				[26011] = 152,
				[26427] = 163,
				[19792] = 112,
				[26443] = 166,
				[26424] = 160,
				[30547] = 196,
				[41307] = 221,
				[30563] = 205,
				[56479] = 280,
				[56349] = 254,
				[12715] = 83,
				[30556] = 201,
				[26442] = 165,
				[36955] = 216,
				[3919] = 4,
				[21940] = 128,
				[26426] = 162,
				[23489] = 147,
				[26422] = 158,
				[44391] = 235,
				[3929] = 13,
				[12594] = 67,
				[12614] = 73,
				[23096] = 145,
				[19815] = 119,
				[3954] = 33,
				[3955] = 34,
				[3963] = 42,
			},
			[45357] = {
				[0] = {
					["scandate"] = "11/07/10 22:46:01",
					["name"] = "Inscription",
					["patcnt"] = 427,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 438,
				},
				[58332] = 286,
				[56943] = 85,
				[56959] = 82,
				[56975] = 125,
				[56991] = 356,
				[57007] = 99,
				[57023] = 136,
				[53462] = 37,
				[64257] = 370,
				[57119] = 169,
				[45382] = 6,
				[64305] = 407,
				[57167] = 317,
				[57183] = 155,
				[57199] = 166,
				[57215] = 45,
				[94405] = 430,
				[57247] = 203,
				[50620] = 16,
				[58301] = 262,
				[58317] = 272,
				[58333] = 300,
				[59387] = 322,
				[56944] = 90,
				[56960] = 88,
				[56976] = 113,
				[57008] = 104,
				[57024] = 137,
				[64258] = 372,
				[57120] = 170,
				[57152] = 342,
				[57168] = 333,
				[57184] = 149,
				[57200] = 153,
				[57216] = 46,
				[57232] = 202,
				[50605] = 24,
				[57264] = 222,
				[58302] = 297,
				[58318] = 271,
				[48114] = 7,
				[64051] = 357,
				[59484] = 318,
				[56945] = 77,
				[56961] = 75,
				[56977] = 126,
				[57009] = 95,
				[57025] = 138,
				[61177] = 257,
				[64259] = 374,
				[57121] = 171,
				[64291] = 391,
				[57153] = 347,
				[57185] = 156,
				[57201] = 154,
				[57217] = 47,
				[57233] = 201,
				[50606] = 25,
				[57265] = 212,
				[58303] = 264,
				[58319] = 305,
				[56946] = 86,
				[56978] = 114,
				[56994] = 100,
				[57010] = 112,
				[57026] = 139,
				[64260] = 373,
				[57122] = 178,
				[57154] = 326,
				[57170] = 341,
				[57186] = 150,
				[57713] = 69,
				[57234] = 208,
				[50607] = 26,
				[57266] = 211,
				[59326] = 287,
				[58320] = 284,
				[48116] = 8,
				[64053] = 358,
				[52843] = 36,
				[56947] = 87,
				[56963] = 74,
				[56979] = 119,
				[56995] = 96,
				[57011] = 110,
				[57027] = 130,
				[64261] = 371,
				[57123] = 172,
				[57155] = 345,
				[57187] = 157,
				[57714] = 70,
				[57219] = 48,
				[57235] = 205,
				[50608] = 27,
				[57267] = 224,
				[58321] = 299,
				[58337] = 275,
				[59487] = 248,
				[56948] = 79,
				[56980] = 123,
				[56996] = 106,
				[57012] = 108,
				[57028] = 145,
				[64246] = 360,
				[64262] = 375,
				[57124] = 181,
				[64294] = 381,
				[57156] = 329,
				[57172] = 336,
				[57188] = 151,
				[57715] = 71,
				[57220] = 49,
				[57236] = 199,
				[57252] = 200,
				[57268] = 226,
				[58306] = 265,
				[58322] = 309,
				[58338] = 303,
				[71101] = 423,
				[56949] = 93,
				[56965] = 354,
				[56981] = 118,
				[56997] = 97,
				[61117] = 253,
				[94401] = 434,
				[71102] = 424,
				[64247] = 361,
				[94402] = 433,
				[57125] = 173,
				[64295] = 380,
				[57157] = 316,
				[94403] = 432,
				[57189] = 164,
				[57716] = 72,
				[57221] = 50,
				[57237] = 209,
				[50610] = 29,
				[57269] = 214,
				[58307] = 290,
				[58323] = 274,
				[58339] = 304,
				[94404] = 431,
				[94406] = 429,
				[94000] = 428,
				[56953] = 80,
				[92026] = 426,
				[89815] = 425,
				[58289] = 260,
				[48247] = 9,
				[56950] = 89,
				[68166] = 421,
				[58484] = 230,
				[56998] = 111,
				[57014] = 350,
				[61118] = 256,
				[64313] = 419,
				[64314] = 418,
				[61677] = 351,
				[64248] = 359,
				[64316] = 417,
				[57126] = 184,
				[64296] = 402,
				[57158] = 312,
				[64315] = 416,
				[57190] = 167,
				[64317] = 415,
				[57222] = 51,
				[57238] = 191,
				[50611] = 30,
				[57270] = 217,
				[58308] = 267,
				[58324] = 291,
				[58340] = 294,
				[64310] = 414,
				[64308] = 413,
				[64311] = 412,
				[64307] = 411,
				[64309] = 410,
				[64312] = 409,
				[57196] = 148,
				[48248] = 35,
				[56951] = 78,
				[50619] = 15,
				[56983] = 124,
				[56999] = 107,
				[61119] = 254,
				[57031] = 133,
				[64270] = 404,
				[64287] = 403,
				[64286] = 401,
				[64249] = 362,
				[64289] = 400,
				[57127] = 185,
				[64297] = 383,
				[57159] = 340,
				[64282] = 399,
				[57191] = 161,
				[57207] = 38,
				[57223] = 52,
				[57239] = 189,
				[50612] = 10,
				[57271] = 215,
				[64318] = 398,
				[58325] = 285,
				[48121] = 76,
				[64275] = 397,
				[64285] = 396,
				[64283] = 395,
				[64274] = 384,
				[64284] = 393,
				[58487] = 233,
				[59475] = 313,
				[59491] = 249,
				[56952] = 84,
				[64278] = 390,
				[64281] = 389,
				[57000] = 101,
				[57249] = 194,
				[58565] = 246,
				[64273] = 387,
				[64279] = 386,
				[64280] = 385,
				[64250] = 363,
				[57112] = 186,
				[57128] = 182,
				[64298] = 394,
				[57160] = 343,
				[64271] = 382,
				[57703] = 60,
				[57208] = 39,
				[57224] = 53,
				[57240] = 192,
				[64268] = 379,
				[57272] = 219,
				[58310] = 266,
				[58326] = 273,
				[58342] = 276,
				[64277] = 378,
				[64276] = 377,
				[64266] = 376,
				[57242] = 196,
				[50603] = 22,
				[58480] = 242,
				[57710] = 66,
				[59486] = 319,
				[58486] = 232,
				[59561] = 346,
				[69385] = 422,
				[57001] = 102,
				[57253] = 353,
				[57033] = 140,
				[57243] = 206,
				[59560] = 349,
				[57197] = 152,
				[64251] = 364,
				[57113] = 179,
				[57129] = 174,
				[59559] = 344,
				[57161] = 320,
				[59498] = 339,
				[57193] = 159,
				[57209] = 40,
				[57225] = 54,
				[50598] = 17,
				[50614] = 11,
				[57250] = 207,
				[58311] = 282,
				[58327] = 307,
				[58343] = 279,
				[52738] = 33,
				[60337] = 337,
				[59340] = 335,
				[59339] = 334,
				[59338] = 332,
				[58476] = 240,
				[59495] = 330,
				[59493] = 327,
				[56954] = 91,
				[59494] = 328,
				[56986] = 122,
				[57002] = 103,
				[59490] = 325,
				[57034] = 142,
				[59489] = 324,
				[60336] = 323,
				[58488] = 234,
				[64252] = 365,
				[57114] = 168,
				[57130] = 188,
				[64300] = 392,
				[57162] = 311,
				[58316] = 298,
				[57194] = 147,
				[57210] = 41,
				[57226] = 55,
				[50599] = 18,
				[57258] = 223,
				[57274] = 218,
				[58312] = 270,
				[58328] = 292,
				[58344] = 277,
				[52739] = 34,
				[58341] = 310,
				[67600] = 420,
				[58297] = 306,
				[57192] = 158,
				[58286] = 280,
				[59478] = 314,
				[58472] = 238,
				[56955] = 73,
				[56971] = 115,
				[56987] = 127,
				[57003] = 105,
				[57019] = 146,
				[57035] = 143,
				[58287] = 296,
				[59315] = 295,
				[58485] = 231,
				[64253] = 366,
				[57115] = 183,
				[57131] = 175,
				[58336] = 288,
				[57163] = 315,
				[58288] = 281,
				[57706] = 62,
				[57211] = 42,
				[57227] = 56,
				[50600] = 19,
				[50616] = 12,
				[57275] = 220,
				[58313] = 269,
				[58329] = 301,
				[58345] = 289,
				[59502] = 250,
				[58298] = 263,
				[50609] = 28,
				[50617] = 13,
				[57032] = 134,
				[61120] = 255,
				[58299] = 261,
				[58473] = 239,
				[56956] = 81,
				[56972] = 120,
				[56988] = 128,
				[57004] = 94,
				[57020] = 135,
				[57036] = 141,
				[62162] = 355,
				[58296] = 259,
				[61288] = 258,
				[64254] = 367,
				[57116] = 180,
				[57132] = 176,
				[64302] = 405,
				[57164] = 348,
				[59504] = 252,
				[57707] = 63,
				[59503] = 251,
				[57228] = 57,
				[50601] = 20,
				[57260] = 225,
				[57276] = 229,
				[58314] = 268,
				[58330] = 302,
				[58346] = 278,
				[92579] = 427,
				[50618] = 14,
				[58478] = 241,
				[58483] = 245,
				[58482] = 244,
				[58481] = 243,
				[59480] = 247,
				[59496] = 331,
				[56957] = 83,
				[56973] = 116,
				[56989] = 121,
				[57005] = 98,
				[57021] = 144,
				[58491] = 237,
				[58490] = 236,
				[58489] = 235,
				[57711] = 67,
				[64255] = 368,
				[57117] = 187,
				[57133] = 177,
				[64303] = 406,
				[57165] = 321,
				[57181] = 165,
				[57708] = 64,
				[57213] = 43,
				[57229] = 58,
				[50602] = 21,
				[57261] = 227,
				[57277] = 216,
				[58315] = 283,
				[58331] = 293,
				[58347] = 308,
				[57263] = 228,
				[57257] = 221,
				[57704] = 61,
				[57712] = 68,
				[50604] = 23,
				[57198] = 160,
				[57259] = 210,
				[59497] = 338,
				[56958] = 92,
				[56974] = 117,
				[56990] = 352,
				[57006] = 109,
				[57022] = 129,
				[57248] = 204,
				[57195] = 162,
				[57251] = 198,
				[57244] = 197,
				[64256] = 369,
				[57241] = 195,
				[64288] = 388,
				[64304] = 408,
				[57202] = 163,
				[57029] = 131,
				[57709] = 65,
				[57214] = 44,
				[57230] = 59,
				[57246] = 190,
				[57262] = 213,
				[57245] = 193,
				[57030] = 132,
			},
			[25229] = {
				[25613] = 20,
				[25621] = 27,
				[66554] = 429,
				[66586] = 450,
				[53845] = 239,
				[53861] = 250,
				[53877] = 260,
				[53893] = 269,
				[38068] = 165,
				[53925] = 279,
				[53941] = 242,
				[46803] = 228,
				[54005] = 327,
				[39713] = 177,
				[56081] = 357,
				[58141] = 384,
				[25278] = 2,
				[25318] = 10,
				[28903] = 65,
				[26875] = 32,
				[28927] = 75,
				[66428] = 405,
				[26907] = 47,
				[26915] = 54,
				[66556] = 430,
				[73231] = 464,
				[73263] = 484,
				[42588] = 205,
				[34955] = 157,
				[31067] = 123,
				[31083] = 135,
				[31091] = 87,
				[53958] = 292,
				[31107] = 93,
				[73281] = 502,
				[39714] = 175,
				[66557] = 431,
				[58142] = 385,
				[46405] = 220,
				[56498] = 378,
				[73279] = 500,
				[56199] = 369,
				[73277] = 498,
				[56194] = 365,
				[56079] = 356,
				[73275] = 496,
				[66429] = 406,
				[73273] = 494,
				[25614] = 21,
				[25622] = 28,
				[46597] = 221,
				[73272] = 493,
				[73271] = 492,
				[73233] = 466,
				[73265] = 486,
				[42589] = 206,
				[73270] = 491,
				[55396] = 339,
				[53879] = 261,
				[73269] = 490,
				[73268] = 489,
				[73248] = 477,
				[53943] = 243,
				[73262] = 483,
				[53975] = 302,
				[53991] = 313,
				[73264] = 485,
				[39715] = 178,
				[39731] = 184,
				[58143] = 386,
				[73266] = 487,
				[25287] = 7,
				[73260] = 482,
				[26872] = 29,
				[26873] = 30,
				[56195] = 366,
				[56052] = 352,
				[28912] = 68,
				[26876] = 33,
				[56197] = 368,
				[28936] = 77,
				[28944] = 78,
				[32801] = 140,
				[26916] = 55,
				[66560] = 432,
				[42558] = 204,
				[73267] = 488,
				[42590] = 207,
				[56530] = 382,
				[31052] = 109,
				[31060] = 116,
				[31068] = 124,
				[31076] = 128,
				[31084] = 104,
				[31092] = 100,
				[53960] = 293,
				[31108] = 91,
				[44794] = 212,
				[34590] = 154,
				[39716] = 179,
				[56084] = 359,
				[58144] = 387,
				[32178] = 137,
				[73246] = 475,
				[64727] = 403,
				[73244] = 473,
				[66450] = 419,
				[56196] = 367,
				[73242] = 471,
				[66338] = 452,
				[66569] = 437,
				[73240] = 469,
				[25615] = 22,
				[47053] = 229,
				[66498] = 423,
				[73234] = 467,
				[66562] = 434,
				[73232] = 465,
				[32866] = 148,
				[42591] = 209,
				[73230] = 463,
				[53865] = 251,
				[73229] = 462,
				[36523] = 159,
				[73228] = 461,
				[46775] = 223,
				[53945] = 283,
				[53961] = 294,
				[53977] = 304,
				[53993] = 314,
				[54009] = 328,
				[73227] = 460,
				[39733] = 188,
				[58145] = 388,
				[25280] = 4,
				[73226] = 459,
				[73225] = 458,
				[73224] = 457,
				[53830] = 282,
				[25320] = 12,
				[28905] = 66,
				[73222] = 455,
				[53872] = 255,
				[26885] = 39,
				[68253] = 453,
				[28953] = 82,
				[25339] = 11,
				[26925] = 58,
				[73239] = 468,
				[32867] = 145,
				[38504] = 168,
				[40514] = 198,
				[34959] = 158,
				[31061] = 117,
				[36524] = 160,
				[31077] = 129,
				[31085] = 85,
				[53946] = 284,
				[31101] = 92,
				[31109] = 88,
				[53994] = 315,
				[66501] = 425,
				[39718] = 180,
				[39734] = 189,
				[31149] = 101,
				[32179] = 138,
				[72793] = 454,
				[66581] = 445,
				[66579] = 444,
				[59759] = 397,
				[66576] = 443,
				[37818] = 163,
				[66574] = 442,
				[66573] = 441,
				[66572] = 440,
				[32259] = 139,
				[66571] = 439,
				[46601] = 222,
				[66570] = 438,
				[46122] = 216,
				[73241] = 470,
				[32868] = 149,
				[42593] = 208,
				[55384] = 329,
				[34960] = 155,
				[53883] = 264,
				[36525] = 161,
				[66568] = 436,
				[46777] = 225,
				[66567] = 435,
				[53963] = 296,
				[66439] = 411,
				[64726] = 402,
				[54011] = 318,
				[66561] = 433,
				[56087] = 361,
				[58147] = 390,
				[73274] = 495,
				[66505] = 427,
				[66502] = 426,
				[25305] = 8,
				[66499] = 424,
				[25321] = 13,
				[66497] = 422,
				[28914] = 69,
				[26878] = 34,
				[66453] = 421,
				[66452] = 420,
				[26902] = 44,
				[26910] = 50,
				[26918] = 56,
				[26926] = 59,
				[73243] = 472,
				[32869] = 146,
				[66448] = 418,
				[53852] = 244,
				[31054] = 111,
				[31062] = 118,
				[31070] = 125,
				[31078] = 130,
				[46778] = 226,
				[53948] = 285,
				[31102] = 99,
				[53980] = 306,
				[53996] = 321,
				[54012] = 319,
				[39720] = 183,
				[39736] = 187,
				[58148] = 391,
				[73276] = 497,
				[66446] = 416,
				[66445] = 415,
				[66443] = 414,
				[66442] = 413,
				[66441] = 412,
				[66435] = 410,
				[66434] = 409,
				[41429] = 203,
				[66432] = 408,
				[25617] = 23,
				[66431] = 407,
				[66506] = 428,
				[64728] = 404,
				[46124] = 214,
				[73245] = 474,
				[32870] = 147,
				[64725] = 401,
				[55386] = 330,
				[53869] = 252,
				[53885] = 266,
				[53892] = 268,
				[53917] = 271,
				[46779] = 227,
				[53949] = 286,
				[53965] = 297,
				[53981] = 307,
				[53997] = 322,
				[39705] = 173,
				[39721] = 182,
				[39737] = 190,
				[58149] = 392,
				[73278] = 499,
				[26883] = 38,
				[58954] = 396,
				[58492] = 395,
				[26928] = 61,
				[56201] = 370,
				[56499] = 379,
				[41414] = 200,
				[58146] = 389,
				[26887] = 40,
				[56531] = 383,
				[28947] = 79,
				[39961] = 197,
				[39466] = 169,
				[46125] = 217,
				[73247] = 476,
				[32871] = 150,
				[56501] = 381,
				[53854] = 245,
				[31055] = 112,
				[31063] = 119,
				[31071] = 126,
				[31079] = 131,
				[53934] = 241,
				[31095] = 102,
				[31103] = 97,
				[25490] = 16,
				[25498] = 17,
				[39706] = 174,
				[56500] = 380,
				[39738] = 191,
				[58150] = 393,
				[73280] = 501,
				[56497] = 377,
				[56496] = 376,
				[36526] = 162,
				[53876] = 259,
				[56202] = 371,
				[53962] = 295,
				[41415] = 201,
				[56203] = 372,
				[25610] = 18,
				[25618] = 24,
				[62941] = 399,
				[32808] = 142,
				[39467] = 170,
				[46126] = 213,
				[73249] = 478,
				[32872] = 152,
				[56193] = 364,
				[55388] = 332,
				[53871] = 254,
				[56086] = 363,
				[56088] = 362,
				[53919] = 273,
				[56085] = 360,
				[53951] = 287,
				[56083] = 358,
				[66447] = 417,
				[56056] = 355,
				[56055] = 354,
				[56053] = 353,
				[39739] = 193,
				[73250] = 479,
				[25283] = 5,
				[56049] = 351,
				[55389] = 349,
				[55405] = 348,
				[55404] = 347,
				[25323] = 14,
				[55403] = 346,
				[28916] = 71,
				[37855] = 164,
				[55402] = 345,
				[26896] = 41,
				[28948] = 80,
				[26912] = 52,
				[26920] = 57,
				[46127] = 215,
				[55401] = 344,
				[32873] = 153,
				[55400] = 343,
				[31048] = 105,
				[31056] = 113,
				[31064] = 120,
				[31072] = 127,
				[31080] = 132,
				[31088] = 96,
				[53952] = 288,
				[31104] = 89,
				[31112] = 84,
				[54000] = 324,
				[38175] = 166,
				[39724] = 181,
				[39740] = 195,
				[55399] = 342,
				[55398] = 341,
				[55397] = 340,
				[55407] = 338,
				[55395] = 337,
				[55394] = 336,
				[55393] = 335,
				[55392] = 334,
				[55390] = 333,
				[47054] = 230,
				[43493] = 211,
				[25619] = 25,
				[55387] = 331,
				[32810] = 144,
				[53856] = 247,
				[53984] = 308,
				[53998] = 323,
				[32874] = 151,
				[54014] = 320,
				[53857] = 246,
				[53873] = 256,
				[54023] = 317,
				[54019] = 316,
				[53921] = 275,
				[53988] = 312,
				[26908] = 48,
				[53986] = 310,
				[53985] = 309,
				[54001] = 325,
				[54017] = 240,
				[53978] = 305,
				[39741] = 192,
				[53976] = 303,
				[25284] = 6,
				[53974] = 301,
				[53972] = 300,
				[53968] = 299,
				[53966] = 298,
				[56205] = 373,
				[53957] = 291,
				[41418] = 199,
				[28925] = 74,
				[28933] = 76,
				[26897] = 42,
				[28955] = 83,
				[53954] = 289,
				[39470] = 171,
				[73223] = 456,
				[53933] = 281,
				[53932] = 280,
				[53924] = 278,
				[31049] = 106,
				[31057] = 114,
				[31065] = 121,
				[53923] = 277,
				[31081] = 133,
				[53922] = 276,
				[31097] = 98,
				[53920] = 274,
				[31113] = 90,
				[53918] = 272,
				[53894] = 270,
				[63743] = 400,
				[39742] = 194,
				[62242] = 398,
				[53884] = 265,
				[53882] = 263,
				[53880] = 262,
				[46776] = 224,
				[47055] = 231,
				[56206] = 374,
				[32807] = 141,
				[53870] = 253,
				[47056] = 232,
				[25612] = 19,
				[25620] = 26,
				[39963] = 196,
				[53874] = 257,
				[39471] = 172,
				[66582] = 446,
				[26900] = 43,
				[28915] = 70,
				[53843] = 237,
				[53859] = 248,
				[53875] = 258,
				[53891] = 267,
				[26903] = 45,
				[47280] = 233,
				[26911] = 51,
				[53955] = 290,
				[26927] = 60,
				[53987] = 311,
				[54003] = 326,
				[39711] = 176,
				[39727] = 186,
				[66583] = 447,
				[73258] = 480,
				[31051] = 108,
				[25255] = 3,
				[31111] = 94,
				[32809] = 143,
				[25317] = 9,
				[0] = {
					["scandate"] = "11/07/10 22:47:37",
					["name"] = "Jewelcrafting",
					["patcnt"] = 495,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 504,
				},
				[28910] = 67,
				[28918] = 73,
				[26882] = 37,
				[53832] = 236,
				[53831] = 235,
				[28950] = 81,
				[26914] = 53,
				[34961] = 156,
				[66584] = 448,
				[73259] = 481,
				[26880] = 35,
				[53844] = 238,
				[53860] = 249,
				[31058] = 115,
				[31066] = 122,
				[58507] = 394,
				[31082] = 134,
				[31090] = 103,
				[31098] = 95,
				[31106] = 86,
				[25493] = 15,
				[46123] = 218,
				[42592] = 210,
				[39728] = 185,
				[66585] = 449,
				[46403] = 219,
				[28917] = 72,
				[26881] = 36,
				[41420] = 202,
				[26909] = 49,
				[31053] = 110,
				[56208] = 375,
				[38503] = 167,
				[26874] = 31,
				[26906] = 46,
				[31050] = 107,
			},
			[2550] = {
				[0] = {
					["scandate"] = "11/07/10 22:44:55",
					["name"] = "Cooking",
					["patcnt"] = 174,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 186,
				},
				[33277] = 76,
				[33285] = 80,
				[33293] = 88,
				[45549] = 122,
				[43772] = 106,
				[45565] = 118,
				[15856] = 42,
				[6415] = 19,
				[6416] = 20,
				[22480] = 67,
				[6418] = 22,
				[6419] = 23,
				[36210] = 93,
				[53056] = 112,
				[57423] = 128,
				[9513] = 38,
				[57439] = 144,
				[62045] = 156,
				[37836] = 94,
				[33278] = 77,
				[33286] = 81,
				[15910] = 47,
				[18245] = 58,
				[43765] = 103,
				[45558] = 132,
				[45566] = 120,
				[7213] = 27,
				[25704] = 72,
				[64054] = 162,
				[57440] = 145,
				[3370] = 4,
				[33279] = 78,
				[33287] = 82,
				[33295] = 90,
				[43758] = 101,
				[3373] = 7,
				[7751] = 28,
				[7752] = 29,
				[7753] = 30,
				[7754] = 31,
				[7755] = 32,
				[3376] = 8,
				[3377] = 9,
				[8607] = 37,
				[45695] = 108,
				[57433] = 138,
				[57441] = 146,
				[6499] = 26,
				[6500] = 25,
				[6501] = 24,
				[58525] = 153,
				[18238] = 52,
				[18242] = 55,
				[18246] = 59,
				[45552] = 125,
				[45560] = 113,
				[45568] = 135,
				[66034] = 165,
				[24418] = 69,
				[46684] = 109,
				[3397] = 10,
				[28267] = 74,
				[57434] = 139,
				[3399] = 12,
				[21143] = 65,
				[13028] = 107,
				[38867] = 96,
				[66035] = 166,
				[33289] = 84,
				[21175] = 66,
				[45553] = 126,
				[45561] = 114,
				[15855] = 41,
				[15861] = 43,
				[15863] = 44,
				[15865] = 45,
				[42302] = 98,
				[66036] = 167,
				[24801] = 70,
				[7827] = 33,
				[7828] = 34,
				[57435] = 140,
				[57443] = 148,
				[62049] = 160,
				[38868] = 95,
				[66037] = 168,
				[58527] = 154,
				[33290] = 85,
				[18243] = 56,
				[43761] = 102,
				[15915] = 48,
				[45562] = 115,
				[45570] = 137,
				[15933] = 49,
				[15935] = 39,
				[66038] = 169,
				[58523] = 152,
				[2548] = 179,
				[62050] = 159,
				[64358] = 163,
				[2545] = 176,
				[65454] = 164,
				[2538] = 1,
				[20626] = 62,
				[2539] = 170,
				[21144] = 64,
				[2540] = 2,
				[2543] = 174,
				[2541] = 172,
				[58512] = 150,
				[2542] = 173,
				[58528] = 155,
				[33291] = 86,
				[2795] = 171,
				[2544] = 175,
				[45555] = 129,
				[45563] = 116,
				[45571] = 136,
				[2546] = 177,
				[62350] = 161,
				[2547] = 178,
				[45557] = 131,
				[42296] = 97,
				[45554] = 127,
				[2549] = 180,
				[8604] = 36,
				[58521] = 151,
				[58065] = 149,
				[57442] = 147,
				[3400] = 13,
				[45559] = 133,
				[57436] = 141,
				[57421] = 121,
				[45567] = 134,
				[57437] = 142,
				[33296] = 91,
				[6412] = 16,
				[62051] = 158,
				[6413] = 17,
				[43707] = 100,
				[6417] = 21,
				[6414] = 18,
				[33276] = 75,
				[33284] = 79,
				[18240] = 54,
				[18244] = 57,
				[33292] = 87,
				[45556] = 130,
				[43779] = 104,
				[22761] = 68,
				[25659] = 71,
				[45550] = 123,
				[45551] = 124,
				[8238] = 35,
				[4094] = 15,
				[42305] = 99,
				[20916] = 63,
				[18239] = 51,
				[18241] = 53,
				[15853] = 40,
				[25954] = 73,
				[46688] = 110,
				[45564] = 117,
				[45569] = 119,
				[3398] = 11,
				[45022] = 105,
				[57438] = 143,
				[3371] = 5,
				[62044] = 157,
				[3372] = 6,
				[33294] = 89,
				[33288] = 83,
				[15906] = 46,
				[18247] = 60,
			},
			[3908] = {
				[12056] = 111,
				[12060] = 113,
				[12064] = 117,
				[12068] = 121,
				[12072] = 125,
				[12076] = 129,
				[12080] = 133,
				[12084] = 137,
				[12088] = 141,
				[12092] = 145,
				[55921] = 353,
				[23665] = 211,
				[26747] = 227,
				[26755] = 234,
				[26763] = 242,
				[26771] = 246,
				[26779] = 254,
				[67066] = 425,
				[31434] = 278,
				[31442] = 284,
				[7623] = 65,
				[7629] = 68,
				[7633] = 69,
				[7639] = 71,
				[7643] = 72,
				[24903] = 218,
				[22867] = 203,
				[55906] = 345,
				[55922] = 354,
				[56002] = 370,
				[56018] = 385,
				[56034] = 398,
				[63204] = 419,
				[18404] = 151,
				[18412] = 159,
				[18420] = 167,
				[18436] = 173,
				[18444] = 180,
				[18452] = 188,
				[27658] = 261,
				[70550] = 431,
				[28209] = 270,
				[60969] = 410,
				[6693] = 63,
				[6695] = 64,
				[23666] = 212,
				[8791] = 94,
				[8795] = 96,
				[8799] = 98,
				[26772] = 247,
				[26780] = 255,
				[36665] = 309,
				[31435] = 279,
				[31443] = 285,
				[31451] = 290,
				[31459] = 296,
				[63924] = 416,
				[70552] = 433,
				[28481] = 271,
				[22868] = 204,
				[55908] = 347,
				[55924] = 356,
				[20848] = 197,
				[56004] = 373,
				[56020] = 387,
				[70553] = 434,
				[63206] = 417,
				[18405] = 153,
				[19435] = 196,
				[26086] = 221,
				[18437] = 174,
				[18445] = 181,
				[12053] = 109,
				[27659] = 262,
				[12061] = 114,
				[12065] = 118,
				[12069] = 122,
				[12073] = 126,
				[12077] = 130,
				[12081] = 134,
				[12085] = 138,
				[12089] = 142,
				[12093] = 146,
				[55925] = 357,
				[55941] = 360,
				[23667] = 213,
				[26749] = 228,
				[26757] = 236,
				[26765] = 244,
				[26773] = 248,
				[26781] = 256,
				[36667] = 307,
				[31444] = 286,
				[31452] = 291,
				[31460] = 297,
				[36316] = 302,
				[22813] = 201,
				[7893] = 74,
				[40021] = 315,
				[28482] = 272,
				[22869] = 205,
				[55910] = 348,
				[20849] = 198,
				[56006] = 375,
				[56022] = 389,
				[36668] = 308,
				[18406] = 152,
				[18414] = 162,
				[18422] = 169,
				[18438] = 175,
				[18446] = 182,
				[18454] = 190,
				[27660] = 263,
				[24091] = 216,
				[50194] = 331,
				[75597] = 435,
				[8760] = 81,
				[8764] = 83,
				[27724] = 264,
				[8772] = 86,
				[8776] = 79,
				[8780] = 89,
				[8784] = 91,
				[70551] = 432,
				[26750] = 229,
				[26758] = 237,
				[56023] = 390,
				[26774] = 249,
				[26782] = 257,
				[56011] = 380,
				[36669] = 306,
				[56026] = 393,
				[67145] = 428,
				[59585] = 405,
				[63203] = 420,
				[31437] = 280,
				[67065] = 424,
				[31453] = 292,
				[31461] = 298,
				[12044] = 101,
				[3755] = 56,
				[64730] = 422,
				[3757] = 57,
				[3758] = 55,
				[26745] = 225,
				[26407] = 224,
				[67079] = 426,
				[63205] = 418,
				[40023] = 317,
				[60990] = 414,
				[22870] = 206,
				[63742] = 415,
				[55899] = 339,
				[60993] = 412,
				[22902] = 207,
				[60971] = 411,
				[46128] = 328,
				[56008] = 377,
				[41205] = 322,
				[59588] = 408,
				[59587] = 407,
				[59586] = 406,
				[36670] = 304,
				[36686] = 310,
				[67144] = 427,
				[59584] = 404,
				[59583] = 403,
				[18407] = 154,
				[18415] = 160,
				[18423] = 170,
				[8465] = 75,
				[12046] = 103,
				[18447] = 183,
				[18455] = 191,
				[37884] = 314,
				[12062] = 115,
				[12066] = 119,
				[12070] = 123,
				[12074] = 127,
				[12078] = 131,
				[12082] = 135,
				[12086] = 139,
				[12090] = 143,
				[55913] = 350,
				[59582] = 402,
				[3914] = 52,
				[56039] = 399,
				[56031] = 397,
				[26751] = 230,
				[26759] = 238,
				[41206] = 323,
				[26775] = 250,
				[26783] = 258,
				[31450] = 289,
				[26087] = 222,
				[56027] = 394,
				[67146] = 429,
				[56025] = 392,
				[3813] = 58,
				[31438] = 281,
				[22759] = 200,
				[7624] = 66,
				[56024] = 391,
				[56021] = 388,
				[7630] = 67,
				[50644] = 332,
				[56019] = 386,
				[7636] = 70,
				[26761] = 240,
				[56017] = 383,
				[56015] = 382,
				[3851] = 32,
				[67147] = 430,
				[56001] = 371,
				[55898] = 338,
				[55914] = 352,
				[56009] = 378,
				[56007] = 376,
				[56005] = 374,
				[56003] = 372,
				[55994] = 363,
				[56010] = 379,
				[41207] = 320,
				[64729] = 421,
				[3839] = 20,
				[3840] = 22,
				[3841] = 23,
				[3842] = 24,
				[3843] = 25,
				[3844] = 26,
				[3845] = 27,
				[18408] = 155,
				[3847] = 28,
				[3848] = 29,
				[3849] = 30,
				[18440] = 177,
				[18448] = 184,
				[18456] = 192,
				[55999] = 368,
				[24093] = 214,
				[3855] = 35,
				[3856] = 36,
				[3857] = 37,
				[3858] = 38,
				[6688] = 60,
				[3860] = 40,
				[6692] = 62,
				[3862] = 42,
				[3863] = 43,
				[3864] = 44,
				[3865] = 21,
				[8789] = 93,
				[8793] = 95,
				[3868] = 46,
				[3869] = 47,
				[26776] = 251,
				[3871] = 49,
				[3872] = 50,
				[3873] = 51,
				[3850] = 31,
				[55997] = 366,
				[46130] = 329,
				[31431] = 275,
				[55995] = 364,
				[55993] = 362,
				[31455] = 294,
				[55943] = 361,
				[55923] = 359,
				[3866] = 45,
				[55919] = 355,
				[55901] = 351,
				[55911] = 349,
				[55907] = 346,
				[3852] = 33,
				[18439] = 176,
				[55903] = 342,
				[28205] = 268,
				[60994] = 413,
				[55900] = 340,
				[55777] = 337,
				[55769] = 336,
				[55642] = 335,
				[50647] = 333,
				[49677] = 330,
				[55996] = 365,
				[59589] = 409,
				[56028] = 395,
				[31430] = 274,
				[44950] = 325,
				[44958] = 324,
				[41208] = 321,
				[40060] = 319,
				[40020] = 318,
				[40024] = 316,
				[18401] = 148,
				[18409] = 156,
				[18417] = 164,
				[37883] = 313,
				[37882] = 312,
				[12047] = 104,
				[3915] = 53,
				[18457] = 193,
				[12059] = 112,
				[2385] = 5,
				[2386] = 7,
				[2387] = 4,
				[12075] = 128,
				[2389] = 6,
				[12083] = 136,
				[12087] = 140,
				[12091] = 144,
				[2393] = 9,
				[2394] = 10,
				[23663] = 210,
				[2396] = 13,
				[2397] = 11,
				[26753] = 232,
				[2399] = 16,
				[56029] = 396,
				[2401] = 17,
				[2402] = 15,
				[2403] = 18,
				[36672] = 305,
				[36318] = 303,
				[2406] = 19,
				[36317] = 301,
				[31432] = 276,
				[31440] = 282,
				[31448] = 287,
				[31456] = 295,
				[36315] = 300,
				[31373] = 299,
				[31454] = 293,
				[37873] = 311,
				[26764] = 243,
				[7892] = 73,
				[26760] = 239,
				[26756] = 235,
				[46129] = 326,
				[28480] = 273,
				[24901] = 219,
				[28207] = 269,
				[55902] = 341,
				[28208] = 267,
				[28210] = 266,
				[27725] = 265,
				[26784] = 259,
				[0] = {
					["scandate"] = "11/07/10 22:45:15",
					["name"] = "Tailoring",
					["patcnt"] = 429,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 438,
				},
				[55998] = 367,
				[56014] = 381,
				[56030] = 344,
				[3854] = 34,
				[6690] = 61,
				[12045] = 102,
				[2964] = 14,
				[12049] = 106,
				[8483] = 78,
				[12055] = 110,
				[18402] = 149,
				[18410] = 157,
				[18418] = 165,
				[3859] = 39,
				[18434] = 172,
				[18442] = 179,
				[18450] = 186,
				[18458] = 194,
				[12063] = 116,
				[6686] = 59,
				[12067] = 120,
				[12071] = 124,
				[2963] = 3,
				[8758] = 80,
				[8762] = 82,
				[8766] = 84,
				[8770] = 85,
				[8774] = 87,
				[8778] = 88,
				[23664] = 209,
				[8786] = 92,
				[26746] = 226,
				[26754] = 233,
				[26762] = 241,
				[26770] = 245,
				[26778] = 253,
				[8782] = 90,
				[3870] = 48,
				[2395] = 12,
				[8802] = 99,
				[8804] = 100,
				[26752] = 231,
				[31433] = 277,
				[31441] = 283,
				[31449] = 288,
				[18416] = 163,
				[18413] = 161,
				[18421] = 168,
				[18560] = 195,
				[18441] = 178,
				[18449] = 185,
				[18453] = 189,
				[26403] = 223,
				[8797] = 97,
				[46131] = 327,
				[26085] = 220,
				[24902] = 217,
				[22866] = 202,
				[55904] = 343,
				[55920] = 358,
				[24092] = 215,
				[18424] = 171,
				[8489] = 77,
				[12079] = 132,
				[56000] = 369,
				[56016] = 384,
				[26777] = 252,
				[56048] = 400,
				[6521] = 54,
				[67064] = 423,
				[21945] = 199,
				[12050] = 107,
				[12052] = 108,
				[2392] = 8,
				[18403] = 150,
				[18411] = 158,
				[18419] = 166,
				[23662] = 208,
				[8467] = 76,
				[12048] = 105,
				[18451] = 187,
				[3861] = 41,
			},
			[2108] = {
				[0] = {
					["scandate"] = "11/07/10 22:45:23",
					["name"] = "Leatherworking",
					["patcnt"] = 527,
					["version"] = "4.0.1",
					["build"] = "13205",
					["bitlen"] = 534,
				},
				[60996] = 479,
				[7133] = 43,
				[35549] = 284,
				[7149] = 46,
				[7153] = 48,
				[4096] = 35,
				[60613] = 406,
				[23705] = 189,
				[36349] = 318,
				[60997] = 478,
				[22922] = 181,
				[50959] = 409,
				[67136] = 503,
				[10518] = 84,
				[46132] = 356,
				[24121] = 200,
				[10542] = 90,
				[10550] = 96,
				[10558] = 101,
				[10566] = 105,
				[10574] = 109,
				[19102] = 162,
				[26279] = 211,
				[32465] = 230,
				[32481] = 242,
				[10630] = 98,
				[2152] = 2,
				[60998] = 477,
				[2160] = 523,
				[2162] = 525,
				[2164] = 527,
				[2166] = 532,
				[2168] = 531,
				[50960] = 412,
				[67138] = 508,
				[46133] = 351,
				[60583] = 380,
				[23706] = 191,
				[60711] = 443,
				[60743] = 461,
				[51568] = 387,
				[36351] = 319,
				[60999] = 482,
				[35520] = 262,
				[35584] = 304,
				[50961] = 411,
				[67140] = 506,
				[46134] = 352,
				[24122] = 199,
				[19055] = 123,
				[19071] = 135,
				[19087] = 152,
				[19103] = 168,
				[67141] = 505,
				[9064] = 56,
				[9072] = 60,
				[32466] = 231,
				[32482] = 243,
				[32498] = 254,
				[36352] = 320,
				[61000] = 480,
				[35521] = 263,
				[35585] = 311,
				[50962] = 358,
				[67142] = 504,
				[9208] = 75,
				[39997] = 326,
				[60649] = 427,
				[23707] = 192,
				[67143] = 510,
				[51570] = 385,
				[36353] = 321,
				[35522] = 264,
				[35554] = 286,
				[50963] = 363,
				[10487] = 77,
				[10511] = 82,
				[46136] = 355,
				[24123] = 198,
				[19072] = 136,
				[19088] = 153,
				[19104] = 166,
				[60746] = 462,
				[51571] = 369,
				[32467] = 232,
				[32499] = 255,
				[10647] = 111,
				[61002] = 481,
				[35523] = 265,
				[35555] = 285,
				[35587] = 309,
				[50964] = 423,
				[46137] = 349,
				[60651] = 428,
				[67083] = 501,
				[60715] = 445,
				[60747] = 463,
				[51572] = 384,
				[36355] = 322,
				[35524] = 266,
				[35588] = 310,
				[50965] = 383,
				[69386] = 511,
				[46138] = 350,
				[24124] = 196,
				[19073] = 137,
				[19089] = 151,
				[67085] = 499,
				[60716] = 446,
				[9065] = 57,
				[32468] = 233,
				[32500] = 256,
				[28472] = 220,
				[9145] = 62,
				[35525] = 269,
				[35557] = 287,
				[35589] = 308,
				[50966] = 422,
				[9201] = 71,
				[69388] = 512,
				[46139] = 354,
				[67087] = 497,
				[60749] = 465,
				[8322] = 53,
				[36357] = 323,
				[35526] = 268,
				[35558] = 289,
				[35590] = 306,
				[50967] = 382,
				[5244] = 36,
				[10520] = 85,
				[40002] = 328,
				[24125] = 197,
				[10544] = 91,
				[10552] = 97,
				[10560] = 102,
				[10568] = 106,
				[19090] = 154,
				[19106] = 167,
				[60718] = 447,
				[60750] = 466,
				[32469] = 234,
				[32485] = 244,
				[32501] = 257,
				[36358] = 324,
				[28473] = 219,
				[35527] = 267,
				[35559] = 288,
				[50936] = 357,
				[40003] = 331,
				[60655] = 430,
				[23710] = 195,
				[60751] = 467,
				[36359] = 325,
				[22815] = 179,
				[3759] = 9,
				[3761] = 11,
				[35528] = 271,
				[35560] = 298,
				[22927] = 184,
				[3769] = 19,
				[3771] = 21,
				[3773] = 23,
				[3775] = 25,
				[3777] = 27,
				[3779] = 29,
				[40004] = 332,
				[19059] = 124,
				[60624] = 415,
				[19091] = 159,
				[19107] = 165,
				[60720] = 448,
				[57683] = 372,
				[32454] = 221,
				[32470] = 235,
				[32502] = 258,
				[3817] = 31,
				[28474] = 218,
				[9146] = 63,
				[35529] = 272,
				[35561] = 292,
				[50938] = 400,
				[50970] = 424,
				[9202] = 72,
				[40005] = 330,
				[24654] = 202,
				[41156] = 334,
				[6703] = 40,
				[60721] = 449,
				[24846] = 203,
				[35530] = 261,
				[35562] = 291,
				[22928] = 185,
				[50971] = 425,
				[62448] = 485,
				[10529] = 87,
				[28219] = 217,
				[41157] = 337,
				[36074] = 312,
				[60658] = 431,
				[60754] = 469,
				[32455] = 222,
				[32471] = 236,
				[32487] = 245,
				[32503] = 259,
				[35531] = 270,
				[44770] = 344,
				[50940] = 402,
				[7954] = 52,
				[24655] = 201,
				[41158] = 339,
				[36075] = 314,
				[60723] = 450,
				[60755] = 470,
				[24847] = 204,
				[35532] = 275,
				[35564] = 293,
				[50941] = 398,
				[28220] = 216,
				[19061] = 126,
				[36076] = 313,
				[19093] = 158,
				[9059] = 55,
				[60756] = 471,
				[32456] = 223,
				[32472] = 237,
				[32488] = 247,
				[70554] = 513,
				[7135] = 44,
				[35533] = 274,
				[7147] = 45,
				[7151] = 47,
				[9195] = 67,
				[70555] = 514,
				[41160] = 340,
				[60629] = 417,
				[60725] = 451,
				[60757] = 472,
				[70556] = 515,
				[52733] = 370,
				[35534] = 273,
				[50943] = 361,
				[10482] = 76,
				[10490] = 78,
				[70557] = 516,
				[28221] = 215,
				[10546] = 92,
				[10554] = 99,
				[41161] = 333,
				[10570] = 107,
				[19094] = 155,
				[60758] = 473,
				[32457] = 224,
				[32473] = 238,
				[2149] = 1,
				[70558] = 517,
				[2153] = 521,
				[10650] = 112,
				[2159] = 3,
				[2161] = 524,
				[2163] = 526,
				[35535] = 278,
				[35567] = 290,
				[50944] = 365,
				[70559] = 518,
				[60599] = 393,
				[60631] = 419,
				[44359] = 343,
				[60759] = 474,
				[70560] = 519,
				[24849] = 206,
				[35536] = 277,
				[35568] = 299,
				[50945] = 366,
				[70561] = 520,
				[28222] = 213,
				[19047] = 114,
				[41163] = 335,
				[19079] = 143,
				[19095] = 157,
				[60728] = 453,
				[57691] = 374,
				[32458] = 225,
				[32490] = 248,
				[9148] = 65,
				[35537] = 276,
				[50946] = 368,
				[9196] = 68,
				[64661] = 494,
				[60601] = 395,
				[60665] = 433,
				[6704] = 41,
				[60729] = 454,
				[57692] = 376,
				[24850] = 207,
				[20854] = 173,
				[42731] = 342,
				[50947] = 367,
				[55199] = 371,
				[10499] = 79,
				[10507] = 80,
				[10531] = 88,
				[28223] = 214,
				[19048] = 116,
				[19064] = 129,
				[19080] = 144,
				[60666] = 434,
				[60730] = 455,
				[10619] = 93,
				[35539] = 280,
				[50948] = 364,
				[44970] = 345,
				[7955] = 50,
				[60731] = 456,
				[57694] = 375,
				[24851] = 208,
				[35540] = 281,
				[35572] = 295,
				[50949] = 359,
				[28224] = 212,
				[19049] = 117,
				[19065] = 130,
				[19081] = 145,
				[19097] = 156,
				[60732] = 457,
				[9149] = 66,
				[35573] = 294,
				[50950] = 389,
				[7156] = 49,
				[9197] = 69,
				[45100] = 347,
				[60605] = 397,
				[60637] = 420,
				[60669] = 435,
				[20648] = 169,
				[57696] = 379,
				[35574] = 296,
				[50951] = 388,
				[21943] = 175,
				[10516] = 83,
				[10548] = 95,
				[10556] = 100,
				[10564] = 104,
				[10572] = 108,
				[23190] = 186,
				[60702] = 438,
				[60734] = 458,
				[32461] = 226,
				[32493] = 249,
				[35543] = 282,
				[35575] = 302,
				[50952] = 390,
				[2169] = 530,
				[2167] = 529,
				[2165] = 528,
				[2158] = 522,
				[60607] = 403,
				[19050] = 118,
				[60671] = 436,
				[60703] = 439,
				[22711] = 177,
				[22727] = 178,
				[19058] = 115,
				[19066] = 131,
				[19074] = 138,
				[24703] = 210,
				[19098] = 164,
				[9058] = 54,
				[3756] = 8,
				[50939] = 399,
				[3760] = 10,
				[3762] = 12,
				[35544] = 283,
				[35576] = 300,
				[50953] = 391,
				[3770] = 20,
				[3772] = 22,
				[3774] = 24,
				[3776] = 26,
				[3778] = 28,
				[3780] = 33,
				[50942] = 401,
				[9070] = 59,
				[9074] = 61,
				[60712] = 444,
				[35591] = 307,
				[20853] = 172,
				[19051] = 119,
				[60608] = 404,
				[19083] = 150,
				[22921] = 180,
				[60704] = 440,
				[40006] = 329,
				[57699] = 373,
				[32462] = 227,
				[32478] = 239,
				[32494] = 250,
				[7126] = 42,
				[3816] = 30,
				[42546] = 341,
				[40001] = 327,
				[67137] = 509,
				[67139] = 507,
				[23399] = 187,
				[20855] = 174,
				[35577] = 301,
				[50954] = 392,
				[22923] = 182,
				[35582] = 303,
				[9198] = 70,
				[9206] = 73,
				[67082] = 502,
				[6661] = 37,
				[60600] = 394,
				[67084] = 500,
				[45117] = 348,
				[67080] = 495,
				[63197] = 493,
				[63200] = 492,
				[63199] = 491,
				[63198] = 490,
				[6702] = 38,
				[23703] = 188,
				[6705] = 39,
				[60737] = 460,
				[19067] = 132,
				[19075] = 139,
				[19078] = 142,
				[63195] = 487,
				[63194] = 486,
				[32489] = 246,
				[32497] = 253,
				[24848] = 205,
				[35580] = 305,
				[60760] = 476,
				[60761] = 475,
				[10562] = 103,
				[62176] = 483,
				[50955] = 360,
				[60752] = 468,
				[60627] = 416,
				[60640] = 421,
				[2881] = 4,
				[60748] = 464,
				[60735] = 459,
				[10509] = 81,
				[41162] = 338,
				[10525] = 86,
				[10533] = 89,
				[19076] = 140,
				[19060] = 125,
				[19052] = 120,
				[19068] = 133,
				[19084] = 147,
				[19100] = 161,
				[60706] = 442,
				[19092] = 160,
				[57701] = 378,
				[32463] = 228,
				[32479] = 240,
				[32495] = 251,
				[20649] = 170,
				[60727] = 452,
				[10632] = 110,
				[41164] = 336,
				[9147] = 64,
				[51569] = 386,
				[19082] = 149,
				[36077] = 317,
				[62177] = 484,
				[50956] = 410,
				[9207] = 74,
				[60697] = 437,
				[60660] = 432,
				[7953] = 51,
				[60652] = 429,
				[67086] = 498,
				[19077] = 141,
				[46135] = 353,
				[44953] = 346,
				[23708] = 193,
				[20650] = 171,
				[3753] = 7,
				[60630] = 418,
				[60611] = 405,
				[60643] = 426,
				[23704] = 190,
				[3763] = 13,
				[3764] = 14,
				[3765] = 15,
				[3766] = 16,
				[3767] = 17,
				[3768] = 18,
				[22926] = 183,
				[60622] = 414,
				[50958] = 413,
				[60620] = 407,
				[67081] = 496,
				[19054] = 122,
				[19062] = 127,
				[19070] = 134,
				[63201] = 489,
				[50957] = 408,
				[19086] = 148,
				[23709] = 194,
				[9068] = 58,
				[10621] = 94,
				[3818] = 32,
				[60604] = 396,
				[63196] = 488,
				[4097] = 34,
				[60705] = 441,
				[60584] = 381,
				[57690] = 377,
				[19063] = 128,
				[19053] = 121,
				[35563] = 297,
				[19085] = 146,
				[19101] = 163,
				[24940] = 209,
				[36078] = 316,
				[36079] = 315,
				[32464] = 229,
				[32480] = 241,
				[32496] = 252,
				[35538] = 279,
				[22331] = 176,
			},
---------------------------------------------------------------------------------------
}
